### Function

# GdkPixbuf PixbufModulePreparedFunc

since: 2.2

#### Declaration

    void
    (* GdkPixbufModulePreparedFunc) (
      GdkPixbuf* pixbuf,
      GdkPixbufAnimation* anim,
      gpointer user_data
    )

#### Description [src]

Defines the type of the function that gets called once the initial setup of `pixbuf` is done.

`GdkPixbufLoader` uses a function of this type to emit the “area_prepared” signal.

Available since: 2.2

#### Parameters

`pixbuf`

  Type: `GdkPixbuf`

  The `GdkPixbuf` that is currently being loaded.

  The data is owned by the caller of the function.

`anim`

  Type: `GdkPixbufAnimation`

  If an animation is being loaded, the `GdkPixbufAnimation`, else `NULL`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The loader.

  The argument can be `NULL`.
  The data is owned by the caller of the function.